package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag734;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT710Creator;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT734Creator;

/**
 * @author gaosheng
 * @date 2023/2/28
 */
public class Tag33aCreator extends AbsTagCreate {

    private MT734Creator mt734Creator;

    public Tag33aCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt734Creator= (MT734Creator) absMTCreator;
    }

    public  void creator()
    {
        handlerCurAmtCreator(mt734Creator,"totalAmountClaimed");
    }
}
